com.verisign.epp.codec.org

## Class EPPOrgUpdateCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPUpdateCmd
    - - com.verisign.epp.codec.org.EPPOrgUpdateCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPOrgUpdateCmd
      extends EPPUpdateCmd

  Command used to update a org object.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPOrgUpdateCmd`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPOrgUpdateCmd`.

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPOrgUpdateCmd()` `EPPOrgUpdateCmd` default constructor with the default form of `Form.LIST_FORM`.
    `EPPOrgUpdateCmd(java.lang.String aTransId)` `EPPOrgUpdateCmd` constructor that takes the client transaction identifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAddContact(EPPOrgContact aContact)` Adds an add contact to the list of add contacts.
    `void` | `addAddRole(EPPOrgRole aRole)` Adds an add role to the list of add roles.
    `void` | `addAddStatus(EPPOrgStatus aStatus)` Adds an add status to the list of add statuses.
    `void` | `addPostalInfo(EPPOrgPostalDefinition aPostalInfo)` Adds a postal definition to the postal information for the org.
    `void` | `addRemContact(EPPOrgContact aContact)` Adds a remove contact to the list of remove contacts.
    `void` | `addRemRole(EPPOrgRole aRole)` Adds a remove role to the list of remove roles.
    `void` | `addRemStatus(EPPOrgStatus aStatus)` Adds a remove status to the list of remove statuses.
    `java.lang.Object` | `clone()` Clone `EPPOrgUpdateCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPOrgUpdateCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPOrgUpdateCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPOrgUpdateCmd` with this instance.
    `java.util.List<EPPOrgContact>` | `getAddContacts()` Gets the add contacts.
    `java.util.List<EPPOrgRole>` | `getAddRoles()` Gets the add roles.
    `java.util.List<EPPOrgStatus>` | `getAddStatuses()` Gets the add statuses.
    `java.lang.String` | `getEmail()`
    `java.lang.String` | `getFax()`
    `java.lang.String` | `getFaxExt()`
    `java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPOrgUpdateCmd`.
    `java.lang.String` | `getOrgId()` Gets the org identifier.
    `java.lang.String` | `getParentId()` Gets the parent org identifier for a hierarchy of orgs.
    `java.util.List<EPPOrgPostalDefinition>` | `getPostalInfo()` Gets the postal information for the org.
    `java.util.List<EPPOrgContact>` | `getRemContacts()` Gets the remove contacts.
    `java.util.List<EPPOrgRole>` | `getRemRoles()` Gets the remove roles.
    `java.util.List<EPPOrgStatus>` | `getRemStatuses()` Gets the remove statuses.
    `java.lang.String` | `getType()` Gets the EPP response type associated with `EPPOrgUpdateCmd`.
    `java.lang.String` | `getUrl()` Gets the URL of the website of the org.
    `java.lang.String` | `getVoice()`
    `java.lang.String` | `getVoiceExt()`
    `boolean` | `hasAddContacts()` Is there any add contacts set?
    `boolean` | `hasAddRoles()` Is there any add roles set?
    `boolean` | `hasAddStatuses()` Is there any add statuses set?
    `boolean` | `hasEmail()` Has the email been set?
    `boolean` | `hasFax()` Has the fax been set?
    `boolean` | `hasFaxExt()` Has the fax extension been set?
    `boolean` | `hasParentId()` Has the parent identifier been set?
    `boolean` | `hasPostalInfo()` Is there any postal information set?
    `boolean` | `hasRemContacts()` Is there any remove contacts set?
    `boolean` | `hasRemRoles()` Is there any remove roles set?
    `boolean` | `hasRemStatuses()` Is there any remove statuses set?
    `boolean` | `hasUrl()` Has the url been set?
    `boolean` | `hasVoice()` Has the voice been set?
    `boolean` | `hasVoiceExt()` Has the voice extension been set?
    `void` | `setAddContacts(java.util.List<EPPOrgContact> aContacts)` Sets the add contacts.
    `void` | `setAddRoles(java.util.List<EPPOrgRole> aRoles)` Sets the add roles.
    `void` | `setAddStatuses(java.util.List<EPPOrgStatus> aStatuses)` Sets the add statuses.
    `void` | `setEmail(java.lang.String aEmail)`
    `void` | `setFax(java.lang.String aFax)`
    `void` | `setFaxExt(java.lang.String aFaxExt)`
    `void` | `setOrgId(java.lang.String aOrgId)` Sets the org identifier.
    `void` | `setParentId(java.lang.String aParentId)`
    `void` | `setPostalInfo(java.util.List<EPPOrgPostalDefinition> aPostalInfo)` Sets the postal information for the org.
    `void` | `setRemContacts(java.util.List<EPPOrgContact> aContacts)` Sets the remove contacts.
    `void` | `setRemRoles(java.util.List<EPPOrgRole> aRoles)` Sets the remove roles.
    `void` | `setRemStatuses(java.util.List<EPPOrgStatus> aStatuses)` Sets the remove statuses.
    `void` | `setUrl(java.lang.String aUrl)` Sets the URL of the website of the org.
    `void` | `setVoice(java.lang.String aVoice)`
    `void` | `setVoiceExt(java.lang.String aVoiceExt)`
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPUpdateCmd

      `doGenDecode, doGenEncode`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getOp, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPOrgUpdateCmd`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPOrgUpdateCmd`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPOrgUpdateCmd

          public EPPOrgUpdateCmd()

      `EPPOrgUpdateCmd` default constructor with the default form of `Form.LIST_FORM`.

    - #### EPPOrgUpdateCmd

          public EPPOrgUpdateCmd(java.lang.String aTransId)

      `EPPOrgUpdateCmd` constructor that takes the client transaction identifier.
      Parameters:
        `aTransId` - Client transaction identifier.

  - ### Method Detail

    - #### getOrgId

          public java.lang.String getOrgId()

      Gets the org identifier.
      Returns:
        The org identifier if defined;`null` otherwise.

    - #### setOrgId

          public void setOrgId(java.lang.String aOrgId)

      Sets the org identifier.
      Parameters:
        `aOrgId` - The org identifier

    - #### hasParentId

          public boolean hasParentId()

      Has the parent identifier been set?
      Returns:
        `true` if the parent identifier has been set; `false` otherwise.

    - #### getParentId

          public java.lang.String getParentId()

      Gets the parent org identifier for a hierarchy of orgs.
      Returns:
        Parent identifier if set; `null` otherwise.

    - #### setParentId

          public void setParentId(java.lang.String aParentId)

      Parameters:
        `aParentId` - the parentId to set

    - #### hasPostalInfo

          public boolean hasPostalInfo()

      Is there any postal information set?
      Returns:
        `true` if there is at least one `EPPOrgPostalDefinition` set in the postal information; `false` otherwise.

    - #### addPostalInfo

          public void addPostalInfo(EPPOrgPostalDefinition aPostalInfo)

      Adds a postal definition to the postal information for the org.
      Parameters:
        `aPostalInfo` - Postal definition to add to the postal information.

    - #### getPostalInfo

          public java.util.List<EPPOrgPostalDefinition> getPostalInfo()

      Gets the postal information for the org. There can be one or two `EPPOrgPostalDefinition` objects in the postal information list.
      Returns:
        Postal information for the org

    - #### setPostalInfo

          public void setPostalInfo(java.util.List<EPPOrgPostalDefinition> aPostalInfo)

      Sets the postal information for the org. There can be one or two `EPPOrgPostalDefinition` objects in the postal information list.
      Parameters:
        `aPostalInfo` - Postal information for the org.

    - #### hasVoice

          public boolean hasVoice()

      Has the voice been set?
      Returns:
        `true` if the voice has been set; `false` otherwise.

    - #### getVoice

          public java.lang.String getVoice()

      Returns:
        the voice

    - #### setVoice

          public void setVoice(java.lang.String aVoice)

      Parameters:
        `aVoice` - the voice to set

    - #### hasVoiceExt

          public boolean hasVoiceExt()

      Has the voice extension been set?
      Returns:
        `true` if the voice extension has been set; `false` otherwise.

    - #### getVoiceExt

          public java.lang.String getVoiceExt()

      Returns:
        the voiceExt

    - #### setVoiceExt

          public void setVoiceExt(java.lang.String aVoiceExt)

      Parameters:
        `aVoiceExt` - the voiceExt to set

    - #### hasFax

          public boolean hasFax()

      Has the fax been set?
      Returns:
        `true` if the fax has been set; `false` otherwise.

    - #### getFax

          public java.lang.String getFax()

      Returns:
        the fax

    - #### setFax

          public void setFax(java.lang.String aFax)

      Parameters:
        `aFax` - the fax to set

    - #### hasFaxExt

          public boolean hasFaxExt()

      Has the fax extension been set?
      Returns:
        `true` if the fax extension has been set; `false` otherwise.

    - #### getFaxExt

          public java.lang.String getFaxExt()

      Returns:
        the faxExt

    - #### setFaxExt

          public void setFaxExt(java.lang.String aFaxExt)

      Parameters:
        `aFaxExt` - the faxExt to set

    - #### hasEmail

          public boolean hasEmail()

      Has the email been set?
      Returns:
        `true` if the email has been set; `false` otherwise.

    - #### getEmail

          public java.lang.String getEmail()

      Returns:
        the email

    - #### setEmail

          public void setEmail(java.lang.String aEmail)

      Parameters:
        `aEmail` - the email to set

    - #### hasUrl

          public boolean hasUrl()

      Has the url been set?
      Returns:
        `true` if the url has been set; `false` otherwise.

    - #### getUrl

          public java.lang.String getUrl()

      Gets the URL of the website of the org.
      Returns:
        URL of the website of the org.

    - #### setUrl

          public void setUrl(java.lang.String aUrl)

      Sets the URL of the website of the org.
      Parameters:
        `aUrl` - URL of the website of the org.

    - #### hasAddContacts

          public boolean hasAddContacts()

      Is there any add contacts set?
      Returns:
        `true` if there is at least one add `EPPOrgContact` set; `false` otherwise.

    - #### addAddContact

          public void addAddContact(EPPOrgContact aContact)

      Adds an add contact to the list of add contacts.
      Parameters:
        `aContact` - Contact to add to the list of add contacts.

    - #### getAddContacts

          public java.util.List<EPPOrgContact> getAddContacts()

      Gets the add contacts.
      Returns:
        List of add contacts set.

    - #### setAddContacts

          public void setAddContacts(java.util.List<EPPOrgContact> aContacts)

      Sets the add contacts.
      Parameters:
        `aContacts` - List of add contacts

    - #### hasRemContacts

          public boolean hasRemContacts()

      Is there any remove contacts set?
      Returns:
        `true` if there is at least one remove `EPPOrgContact` set; `false` otherwise.

    - #### addRemContact

          public void addRemContact(EPPOrgContact aContact)

      Adds a remove contact to the list of remove contacts.
      Parameters:
        `aContact` - Contact to add to the list of remove contacts.

    - #### getRemContacts

          public java.util.List<EPPOrgContact> getRemContacts()

      Gets the remove contacts.
      Returns:
        List of remove contacts set.

    - #### setRemContacts

          public void setRemContacts(java.util.List<EPPOrgContact> aContacts)

      Sets the remove contacts.
      Parameters:
        `aContacts` - List of remove contacts

    - #### hasAddRoles

          public boolean hasAddRoles()

      Is there any add roles set?
      Returns:
        `true` if there is at least one add `EPPOrgRole` set; `false` otherwise.

    - #### addAddRole

          public void addAddRole(EPPOrgRole aRole)

      Adds an add role to the list of add roles.
      Parameters:
        `aRole` - Role to add to the list of add roles.

    - #### getAddRoles

          public java.util.List<EPPOrgRole> getAddRoles()

      Gets the add roles.
      Returns:
        List of add roles set.

    - #### setAddRoles

          public void setAddRoles(java.util.List<EPPOrgRole> aRoles)

      Sets the add roles.
      Parameters:
        `aRoles` - List of add roles

    - #### hasRemRoles

          public boolean hasRemRoles()

      Is there any remove roles set?
      Returns:
        `true` if there is at least one remove `EPPOrgRole` set; `false` otherwise.

    - #### addRemRole

          public void addRemRole(EPPOrgRole aRole)

      Adds a remove role to the list of remove roles.
      Parameters:
        `aRole` - Role to add to the list of remove roles.

    - #### getRemRoles

          public java.util.List<EPPOrgRole> getRemRoles()

      Gets the remove roles.
      Returns:
        List of remove roles set.

    - #### setRemRoles

          public void setRemRoles(java.util.List<EPPOrgRole> aRoles)

      Sets the remove roles.
      Parameters:
        `aRoles` - List of remove roles

    - #### hasAddStatuses

          public boolean hasAddStatuses()

      Is there any add statuses set?
      Returns:
        `true` if there is at least one add `EPPOrgStatus` set; `false` otherwise.

    - #### addAddStatus

          public void addAddStatus(EPPOrgStatus aStatus)

      Adds an add status to the list of add statuses.
      Parameters:
        `aStatus` - Status to add to the list of add statuses.

    - #### getAddStatuses

          public java.util.List<EPPOrgStatus> getAddStatuses()

      Gets the add statuses.
      Returns:
        List of add statuses set.

    - #### setAddStatuses

          public void setAddStatuses(java.util.List<EPPOrgStatus> aStatuses)

      Sets the add statuses.
      Parameters:
        `aStatuses` - List of add statuses

    - #### hasRemStatuses

          public boolean hasRemStatuses()

      Is there any remove statuses set?
      Returns:
        `true` if there is at least one remove `EPPOrgStatus` set; `false` otherwise.

    - #### addRemStatus

          public void addRemStatus(EPPOrgStatus aStatus)

      Adds a remove status to the list of remove statuses.
      Parameters:
        `aStatus` - Status to add to the list of remove statuses.

    - #### getRemStatuses

          public java.util.List<EPPOrgStatus> getRemStatuses()

      Gets the remove statuses.
      Returns:
        List of remove statuses set.

    - #### setRemStatuses

          public void setRemStatuses(java.util.List<EPPOrgStatus> aStatuses)

      Sets the remove statuses.
      Parameters:
        `aStatuses` - List of remove statuses

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPOrgUpdateCmd` instance.
      Specified by:
        `doEncode` in class `EPPUpdateCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPOrgUpdateCmd instance.
      Throws:
        `EPPEncodeException` - Unable to encode EPPOrgUpdateCmd instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPOrgUpdateCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPUpdateCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPOrgUpdateCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPOrgUpdateCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPCommand`
      Returns:
        clone of `EPPOrgUpdateCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### getType

          public java.lang.String getType()

      Gets the EPP response type associated with `EPPOrgUpdateCmd`.
      Overrides:
        `getType` in class `EPPUpdateCmd`
      Returns:
        `EPPOrgUpdateCmd.ELM_NAME`

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command namespace associated with `EPPOrgUpdateCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPOrgMapFactory.NS`

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPOrgUpdateCmd` with this instance.
      Overrides:
        `equals` in class `EPPUpdateCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.